#!/usr/bin/python
# -*- encoding: utf-8; py-indent-offset: 4 -*-
#
# Cisco wlc mem metrics plugin
#
# Author: Th.L.
# Date  : 2018-03-18
#
#

#####################################################################################################################
#
# define units
#
#####################################################################################################################



#####################################################################################################################
#
# define metrics
#
#####################################################################################################################

metric_info['cisco_wlc_mem_usedmemory'] = {
    'title': _('Memory used'),
    'unit': 'bytes',
    'color': '26/a',
}

######################################################################################################################
#
# map perfdata to metric
#
######################################################################################################################

check_metrics['check_mk-cisco_wlc_mem'] = {
    'usedmemory': {'name': 'cisco_wlc_mem_usedmemory', },
}

######################################################################################################################
#
# how to graph perdata
#
######################################################################################################################

graph_info.append({
    'title': _('WLAN controller used memory'),
    'metrics': [
        ('cisco_wlc_mem_usedmemory', 'area'),
    ],
    'range': (0, 'cisco_wlc_mem_usedmemory:max'),
    'scalars': [
        ('cisco_wlc_mem_usedmemory:crit', _('crit level')),
        ('cisco_wlc_mem_usedmemory:warn', _('warn level')),
    ],
})

######################################################################################################################
#
# define perf-o-meter
#
######################################################################################################################

perfometer_info.append({
    'type': 'logarithmic',
    'metric': 'cisco_wlc_mem_usedmemory',
    'half_value': 34359738368,  # 32 GB
    'exponent': 2,
})
